Mobile to UPI VPA Lookup

Fetch UPI VPA from mobile number.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Headers Parameter

NameTypeDescriptionMandatory (M) , Optional (O)Provided by INSTANTPAY (Y/N)
X-Ipay-Auth-CodeStringAuth Code is "1" (Fixed)MY
X-Ipay-Client-IdStringUnique Client Id Provided by InstantpayMY
X-Ipay-Client-SecretStringUnique Client Secret Provided by InstantpayMY
X-Ipay-Endpoint-IpStringEnd customer IP AddressMN

Request Parameters

Parameter NameTypeRequirementDescription
mobileNumberStringMandatoryUPI Linked Mobile Number
externalRefStringMandatoryUnique Transaction Id
consentStringMandatory(Y or N)Consent should be
accepted by
customer
latitudeStringMandatoryEnd Customer Latitude.
longitudeStringMandatoryEnd Customer longitude.

Sample Request

curl --location 'https://api.instantpay.in/identity/mobile/vpaLookup' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'X-Ipay-Auth-Code: 1' \
--header 'X-Ipay-Client-Id: YWY3OTAzYzNlM2ExZTJlOfh549Gzt+xxxxxxxx' \
--header 'X-Ipay-Client-Secret: 82e4755d7c1cf636816addfe1460936d7b64612208df87f3xxxxxxxxxxxxxxxx' \
--header 'X-Ipay-Endpoint-Ip: 45.115.105.205' \
--data '{
"mobileNumber": "9876543210",
"consent": "Y",
"externalRef": "1757650497",
"latitude": 72.9999,
"longitude": 38.1223
}'
POST /identity/mobile/vpaLookup HTTP/1.1
Host: api.instantpay.in
Accept: application/json
Content-Type: application/json
X-Ipay-Auth-Code: 1
X-Ipay-Client-Id: YWY3OTAzYzNlM2ExZTJlOfh549XXXXXXXXXXX
X-Ipay-Client-Secret: 82e4755d7c1cf636816addfe1460936d7b64612208dXXXXXXXXX
X-Ipay-Endpoint-Ip: 45.115.105.205
Content-Length: 126



{
"mobileNumber": "9876543210",
"consent": "Y",
"externalRef": "1757650544",
"latitude": 72.9999,
"longitude": 38.1223
}

Sample Response

{
    "statuscode": "TXN",
    "actcode": null,
    "status": "Transaction Successful",
    "data": {
        "vpaData": {
            "vpa": "md.shah1234@ybl",
            "accountHolderName": "MD SHAHBAZ ALI",
        },
        "poolReferenceId": "1250919165418QCSDS",
        "pool": {
            "openingBal": "20.33",
            "mode": "DR",
            "amount": "3.54",
            "closingBal": "16.79"
        }
    },
    "timestamp": "2025-09-19 16:54:18",
    "ipay_uuid": "h0009fea2bc7-6b7d-4991-897a-313272a52c58-IyW1rl3JmWwx",
    "orderid": "1250919165418QCSDS",
    "environment": "LIVE",
    "internalCode": null
}

Response Parameter

Parameter NameTypeDescription
statuscodeStringInstantpay Status Code
actcodeStringAction Code
statusStringStatus message
dataArrayResponse Data(if Present)
timestampStringResponse time (YYYY-MM-DD HH:II:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id(if transaction otherwise it is null)
environmentStringLive/Sandbox
internalCodeStringIt will be null

Headers
string
required
Defaults to 1

Auth Code is "1" (Fixed)

string
required

Unique Client Id Provided by Instantpay

string
required

Unique Client secret Provided by Instantpay

string
required

End Customer endpoint IP

Response
200
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!